### server
dotnet publish "../WingCloudServer/WingCloudServer.csproj" -r win-x64 -c Release --self-contained /p:PublishSingleFile=true  -o ../wing/server

### inprocess modules
dotnet publish "../WingLogModule/src/WingLogModule.csproj" -r win-x64 -c Release --no-self-contained 
Copy-Item ../WingLogModule/src/bin/Release/net6.0/win-x64/WingLogModule.dll -Destination ../wing/server/InProcessService

dotnet publish "../WingConfigModule/src/WingConfigModule.csproj" -r win-x64 -c Release --no-self-contained 
Copy-Item ../WingConfigModule/src/bin/Release/net6.0/win-x64/WingConfigModule.dll -Destination ../wing/server/InProcessService

dotnet publish "../WingMongoDBModule/src/WingMongoDBModule.csproj" -r win-x64 -c Release --no-self-contained 
Copy-Item ../WingMongoDBModule/src/bin/Release/net6.0/win-x64/WingMongoDBModule.dll -Destination ../wing/server/InProcessService

dotnet publish "../WingSMSModule/src/WingSMSModule.csproj" -r win-x64 -c Release --no-self-contained 
Copy-Item ../WingSMSModule/src/bin/Release/net6.0/win-x64/WingSMSModule.dll -Destination ../wing/server/InProcessService

dotnet publish "../WingSessionModule/src/WingSessionModule.csproj" -r win-x64 -c Release --no-self-contained 
Copy-Item ../WingSessionModule/src/bin/Release/net6.0/win-x64/WingSessionModule.dll -Destination ../wing/server/InProcessService

dotnet publish "../WingEmailModule/src/WingEmailModule.csproj" -r win-x64 -c Release --no-self-contained 
Copy-Item ../WingEmailModule/src/bin/Release/net6.0/win-x64/WingEmailModule.dll -Destination ../wing/server/InProcessService
IF (-not(Test-Path ../wing/server/EmailTemplate/)) { New-Item -Path ../wing/server/ -Name EmailTemplate -Type Directory -force }
Copy-Item ../WingEmailModule/src/bin/Release/net6.0/win-x64/EmailTemplate/* -Destination ../wing/server/EmailTemplate

### netservice modules
dotnet publish "../WingUserModule/src/WingUserModule.csproj" -r win-x64 -c Release --no-self-contained 
Copy-Item ../WingUserModule/src/bin/Release/net6.0/win-x64/WingUserModule.dll -Destination ../wing/server/NetService

dotnet publish "../WingManagementModule/src/WingManagementModule.csproj" -r win-x64 -c Release --no-self-contained 
Copy-Item ../WingManagementModule/src/bin/Release/net6.0/win-x64/WingManagementModule.dll -Destination ../wing/server/NetService

### tools
Copy-Item ../WingServerTools/app/win/mongod.exe -Destination ../wing/server/Tools/Mongo
Copy-Item ../WingServerTools/app/win/mongodump.exe -Destination ../wing/server/Tools/Mongo
Copy-Item ../WingServerTools/app/win/GoStaticSev.exe -Destination ../wing/server
Copy-Item ../WingServerTools/app/win/ServerReboot.exe -Destination ../wing/server
Copy-Item ../WingServerTools/app/win/Sms.Tool.exe -Destination ../wing/server